<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="f8ee1c5b-cf12-4379-be4f-0e9f22a11d65" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="$PROJECT_DIR$/../../apache-maven-3.5.4" />
        <option name="userSettingsFile" value="E:\apache-maven-3.5.4\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="2RHCITErm0JfMZOEXp1gJJg7Jxy" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;jdk.selected.JAVA_MODULE&quot;: &quot;1.8&quot;,
    &quot;last_opened_file_path&quot;: &quot;E:/idea_workspace/alarmNew/alarm-custom/src/main/java/com/gyee/alarm&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;show.run.dashboard.notification&quot;: &quot;false&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;4d2be658cf4f11aa837f204a7dc8f700&quot;
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\idea_workspace\alarmNew\alarm-custom\src\main\java\com\gyee\alarm" />
      <recent name="E:\idea_workspace\alarmNew\alarm-scanner\src\main\java\com\gyee\alarm" />
      <recent name="E:\idea_workspace\alarmNew\alarm-scanner\src\main\java\com\gyee\alarm\model\vo" />
      <recent name="E:\idea_workspace\alarmNew\alarm-service\src\main\java\com\gyee\alarm\config" />
      <recent name="E:\idea_workspace\alarmNew\alarm-service\src\main\java\com\gyee\alarm\util\taos" />
    </key>
    <key name="CopyKotlinDeclarationDialog.RECENTS_KEY">
      <recent name="com.gyee.alarm.model.vo" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.gyee.alarm.task.thread" />
      <recent name="com.gyee.alarm.model.vo" />
      <recent name="com.gyee.alarm.service.auto.impl" />
      <recent name="com.gyee.alarm.model.auto" />
      <recent name="com.gyee.alarm.service.auto" />
    </key>
  </component>
  <component name="RunManager" selected="Spring Boot.GenerationMain (2)">
    <configuration name="AppTest (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.gyee.AppTest" />
      <module name="alarm-scanner" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.gyee.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AppTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.gyee.AppTest" />
      <module name="alarm-service" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.gyee.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="FastWriteExample" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.gyee.alarm.util.taos.FastWriteExample" />
      <module name="alarm-service" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.gyee.alarm.util.taos.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GeneratorCodeConfig (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.gyee.alarm.config.GeneratorCodeConfig" />
      <module name="alarm-custom" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.gyee.alarm.config.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GeneratorCodeConfig" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.gyee.alarm.config.GeneratorCodeConfig" />
      <module name="alarm-scanner" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.gyee.alarm.config.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GenerationMain (1)" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="alarm-service" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.gyee.alarm.AlarmMain" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GenerationMain (2)" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="alarm-custom" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.gyee.alarm.AlarmCustom" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GenerationMain" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="alarm-scanner" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.gyee.alarm.AlarmScannerMain" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.AppTest" />
        <item itemvalue="Application.GeneratorCodeConfig (1)" />
        <item itemvalue="Application.GeneratorCodeConfig" />
        <item itemvalue="Application.AppTest (1)" />
        <item itemvalue="Application.FastWriteExample" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f8ee1c5b-cf12-4379-be4f-0e9f22a11d65" name="Changes" comment="" />
      <created>1686897541960</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1686897541960</updated>
      <workItem from="1686897543245" duration="1032000" />
      <workItem from="1686898938227" duration="2062000" />
      <workItem from="1686909116317" duration="264000" />
      <workItem from="1686909461858" duration="324000" />
      <workItem from="1687134704627" duration="13950000" />
      <workItem from="1687163125990" duration="5587000" />
      <workItem from="1687221477937" duration="23266000" />
      <workItem from="1687307328571" duration="9568000" />
      <workItem from="1687318690238" duration="1667000" />
      <workItem from="1687327008318" duration="8092000" />
      <workItem from="1687653206787" duration="17795000" />
      <workItem from="1687683887636" duration="185000" />
      <workItem from="1687684084860" duration="1321000" />
      <workItem from="1687685543026" duration="599000" />
      <workItem from="1687740145660" duration="5672000" />
      <workItem from="1687760407719" duration="3233000" />
      <workItem from="1687825998835" duration="24647000" />
      <workItem from="1687912437271" duration="9691000" />
      <workItem from="1688002813661" duration="1614000" />
      <workItem from="1688007379845" duration="309000" />
      <workItem from="1688018257834" duration="617000" />
      <workItem from="1688019301459" duration="8210000" />
      <workItem from="1688035209052" duration="487000" />
      <workItem from="1688084959392" duration="1700000" />
      <workItem from="1688104774826" duration="13335000" />
      <workItem from="1688172445096" duration="2480000" />
      <workItem from="1688270884844" duration="599000" />
      <workItem from="1688430784567" duration="17498000" />
      <workItem from="1688461472865" duration="2967000" />
      <workItem from="1688517903325" duration="222000" />
      <workItem from="1688604682724" duration="2136000" />
      <workItem from="1688690384208" duration="1798000" />
      <workItem from="1688949248883" duration="5000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="Application">
        <watch expression="tbValues.get(tbName) " />
      </configuration>
    </watches-manager>
  </component>
</project>